# comment out if not pre-release
%define pre	rc1

# release to bump
%define rel	4

Name:		hamster-time-tracker
Version:	2.0
Release:	%mkrel %{?pre:0.%pre.}%{rel}
Summary:	The linux time tracker
License:	GPLv+
Group:		Graphical desktop/GNOME
Url:		http://projecthamster.wordpress.com
Source0:	https://github.com/projecthamster/hamster/archive/v%{version}%{?pre:-%pre}/%{name}-%{version}%{?pre:-%pre}.tar.gz
# From upstream
Patch0001:	0001-temp-remove-WATCH_HARD_LINKS-flag-from-file-monitor-.patch
Patch0002:	0002-fix-warnings-in-the-console-gnome-3.18-should-be-bac.patch
# Originally from Fedora
Patch0100:	hamster-time-tracker-1.03.3-file-locations.patch
Patch0101:	hamster-time-tracker-1.03.3-service-dbus.patch
# Our patches
Patch0500:	0500-Fix-more-warnings-in-the-console.patch
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	gnome-doc-utils
Requires:	gnome-python-desktop
Requires:	gnome-python-gconf
Requires:	python-dbus
Requires:	python-gi-cairo
Requires:	python-pyxdg

Provides:	hamster-applet
Obsoletes:	hamster-applet < 2.91.3-1

%description
The linux time tracker for GNOME v3+.

%prep
%setup -q -n hamster-%{version}%{?pre:-%pre}
%autopatch -p1

# drop shebang
sed -ibackup '1d' src/hamster/overview.py #src/hamster/today.py

%build
%setup_compile_flags
./waf configure build \
	--prefix=%{_prefix} \
	--libdir=%{_datadir}

%install
./waf install \
	--destdir=%{buildroot}

%find_lang %{name} --with-gnome

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%doc NEWS MAINTAINERS AUTHORS README*
%{_sysconfdir}/bash_completion.d/hamster.bash
%{_sysconfdir}/gconf/schemas/hamster-time-tracker.schemas
%{_bindir}/hamster*
%{_datadir}/applications/hamster-*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/dbus-1/services/org.gnome.hamster*.service
%{_datadir}/%{name}/
%{python_sitelib}/hamster/


%changelog
* Mon Dec 12 2016 wally <wally> 2.0-0.rc1.4.mga6
+ Revision: 1074336
- require python-gi-cairo (mga#19931)
- add patch to fix more warnings in the console

* Fri Feb 19 2016 wally <wally> 2.0-0.rc1.3.mga6
+ Revision: 969440
- add patches from upstream to fix two denial of service flaws (rhbz#1307253, rhbz#1307256)
- rediff P100 and P101 to apply with %%autopatch -p1

* Fri Dec 25 2015 wally <wally> 2.0-0.rc1.2.mga6
+ Revision: 914670
- require python-dbus (mga#17399)

* Tue Dec 22 2015 wally <wally> 2.0-0.rc1.1.mga6
+ Revision: 913499
- new version 2.0 rc1

* Wed Oct 15 2014 umeabot <umeabot> 1.04-7.mga5
+ Revision: 748049
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 wally <wally> 1.04-6.mga5
+ Revision: 737738
- require python-pyxdg

* Thu Oct 09 2014 wally <wally> 1.04-5.mga5
+ Revision: 737733
- require gnome-python-gconf

* Sat Sep 27 2014 tv <tv> 1.04-4.mga5
+ Revision: 726459
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.04-3.mga5
+ Revision: 680075
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.04-2.mga5
+ Revision: 628250
- Rebuild for new Python

* Wed Feb 12 2014 wally <wally> 1.04-1.mga5
+ Revision: 589768
- new version 1.04
- sync patches with Fedora

* Wed Oct 30 2013 wally <wally> 1.03.3-1.mga5
+ Revision: 548036
- new version 1.03.3
- rename pkg as hamster-time-tracker

* Sat Jan 12 2013 umeabot <umeabot> 2.91.3-0.20111207.2.mga3
+ Revision: 353085
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 guillomovitch <guillomovitch> 2.91.3-0.20111207.1.mga2
+ Revision: 178312
- new version (git snapshot)

  + dmorgan <dmorgan>
    - Do not build applets (P1)

  + ahmad <ahmad>
    - Replace BR libgnome-window-settings-devel with pkgconfig(gnome-keybindings)

* Fri Mar 18 2011 wally <wally> 2.32.1-4.mga1
+ Revision: 74259
- require python-notify

* Fri Mar 18 2011 wally <wally> 2.32.1-3.mga1
+ Revision: 74251
- require python-pyxdg (mga#431)
- require python-dbus and drop duplicate require
- drop buildroot definition

* Thu Mar 03 2011 pterjan <pterjan> 2.32.1-2.mga1
+ Revision: 63665
- Set libdir so that the .server is correct
- imported package hamster-applet

